Package com.macrofocus.high_d.tablelens.swing

# Class SwingTableLens<Row,Column>

java.lang.Object
com.macrofocus.high_d.tablelens.AbstractTableLens<JComponent,Color,Row,Column>
com.macrofocus.high_d.tablelens.swing.SwingTableLens<Row,Column>

All Implemented Interfaces:
  `TableLens<JComponent,Color,Row,Column>`

public class SwingTableLens<Row,Column> extends AbstractTableLens<JComponent,Color,Row,Column>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.tablelens.AbstractTableLens

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingTableLens()`
  Creates a TableLens component with default settings and configuration.
  `SwingTableLens(TableLensModel<Color,Row,Column> model)`
  Creates a TableLens component with the its native data model.
  `SwingTableLens(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame)`
  Creates a TableLens component with the specified Swing TableModel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected TableLensController`
  `createController(TableLensView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected TableLensModel`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected TableLensView`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `JComponent`
  `getNativeComponent()`
  `static void`
  `main(String[] args)`
  Sort of a Hello World! application to demonstrate the most basic use of the ParallelCoordinates API
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitle the use of TableLens.

  ### Methods inherited from class com.macrofocus.high_d.tablelens.AbstractTableLens

  `getController, getModel, getView, load, setController, setModel, setView`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingTableLens

    public SwingTableLens()
    Creates a TableLens component with default settings and configuration.

  - ### SwingTableLens

    public SwingTableLens(TableLensModel<Color,Row,Column> model)
    Creates a TableLens component with the its native data model.
    Parameters:
      `model` - a TableLensModel

  - ### SwingTableLens

    public SwingTableLens(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame)
    Creates a TableLens component with the specified Swing TableModel.
    Parameters:
      `dataFrame` - a Swing TableModel

- ## Method Details

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitle the use of TableLens. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### createModel

    protected TableLensModel createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createModel` in class `AbstractTableLens<JComponent,Color,Row,Column>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ParallelCoordinatesModel instance

  - ### createView

    protected TableLensView createView()
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractTableLens<JComponent,Color,Row,Column>`
    Returns:
      a ParallelCoordinatesView instance

  - ### createController

    protected TableLensController createController(TableLensView view)
    Creates a controller that can be used by the parallel coordinates component
    Specified by:
      `createController` in class `AbstractTableLens<JComponent,Color,Row,Column>`
    Parameters:
      `view` - the view that should be controlled
    Returns:

  - ### getNativeComponent

    public JComponent getNativeComponent()

  - ### main

    public static void main(String[] args)
    Sort of a Hello World! application to demonstrate the most basic use of the ParallelCoordinates API